Subject: Re: NOHZ: local_softirq_pending 08

From: Scott Wood <[email-masked]>
Date: Fri, 03 Oct 2008 11:55:48 -0500

liran raz wrote:
> hi,
> I have a driver that uses the scc1 intertupts.
> After enabling the scc1 interrupts I see this message
> coming from the kernel for some time:
> NOHZ: local_softirq_pending 08
> 1. What is the meaning of this message? does
> 2. Does it indicate that something is wrong & need a fix?
> 3. How can I get rid of it?
> (The interrupt is connected to an ISR by using
> the standard request_irq() routine).
> Kernel 2.6.24
> Processor: MPC8272
> Thanks,
> Liran.

The error comes from generic timer code; I'd test with the latest kernel 
and then ask on the linux-kernel list.

-Scott